#!/bin/sh
rm -fr output
for f in `cat sample/base`
do
	echo "-------- $f ------------"
	./main sample/${f}_L.jpg sample/${f}_R.jpg
	mkdir -p output/${f}
	mv offsets.txt output/${f}/offsets.txt
	convert corr.ppm output/${f}/corr.jpg
	convert marked.ppm output/${f}/marked.jpg
	convert sample/${f}_L.jpg output/${f}/L.jpg
	convert out.ppm output/${f}/R.jpg
	convert out.ppm output/${f}/R.tga
done
